Message: Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu 

Forum: Installation and Configuration
Re: None How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu (Fada Guan)
Re: Note Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu (Ben Morgan)
Re: None Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu (Fada Guan)
Re: Note Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu (Ben Morgan)
Re: None Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu (Fada Guan)
Date: 24 May, 2012
From: Ben Morgan <Ben Morgan>

On Thu, 24 May 2012 02:21:55 GMT, Fada Guan wrote:
> Still there are some problems on windows7 if I integrate root.
> 
> 2>d:\root\include\TString.h(461): warning C4273: '_stricmp' : inconsistent dll linkage
> 2>          D:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\include\string.h(142) : see previous definition of '_stricmp'
> 
> >LINK : fatal error LNK1181: cannot open input file 'libGpad.lib'
> 

Since the warning and error are connected with Root headers and libraries, I think you'll need to report this and ask for help on the RootTalk forum.

Just in case it is due to some interference between Geant4 and Root, I would also first ensure you can build applications using each one separately. That should help to remove any issues of that kind (I would guess the Root developers would recommend the same).

Cheers,

Ben.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu   (Fada Guan - 24 May, 2012)
(_ None: Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu   (Fada Guan - 25 May, 2012)
 Add Message Add Message
to: "Re: How can we use root in Geant4.9.5 with cmake on Windows7 or ubuntu"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]